Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UISelectItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItem

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class UISelectItem

extends UIComponentBase

UISelectItem is a component that may be nested inside a `UISelectMany` or `UISelectOne` component, and causes the addition of a `SelectItem` instance to the list of available options for the parent component. The contents of the `SelectItem` can be specified in one of the following ways:

- The `value` attribute's value is an instance of `SelectItem`.
- The associated `ValueExpression` points at a model data item of type `SelectItem`.
- A new `SelectItem` instance is synthesized from the values of the `itemDescription`, `itemDisabled`, `itemLabel`, `itemEscaped`, and `itemValue` attributes.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` The standard component family for this component.
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UISelectItem()` Create a new `UISelectItem` instance with default property values.

Method Summary
`java.lang.String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`java.lang.String` | `getItemDescription()` Return the description for this selection item.
`java.lang.String` | `getItemLabel()` Return the localized label for this selection item.
`java.lang.Object` | `getItemValue()` Return the server value for this selection item.
`java.lang.Object` | `getValue()` Returns the `value` property of the `UISelectItem`.
`boolean` | `isItemDisabled()` Return the disabled setting for this selection item.
`boolean` | `isItemEscaped()` Return the escape setting for the label of this selection item.
`boolean` | `isNoSelectionOption()` Return the value of the `noSelectionOption` property.
`void` | `setItemDescription(java.lang.String itemDescription)` Set the description for this selection item.
`void` | `setItemDisabled(boolean itemDisabled)` Set the disabled value for this selection item.
`void` | `setItemEscaped(boolean itemEscaped)` Set the escape value for the label of this selection item.
`void` | `setItemLabel(java.lang.String itemLabel)` Set the localized label for this selection item.
`void` | `setItemValue(java.lang.Object itemValue)` Set the server value for this selection item.
`void` | `setNoSelectionOption(boolean noSelectionOption)` Set the value of the `noSelectionOption` property.
`void` | `setValue(java.lang.Object value)` Sets the `value` property of the `UISelectItem`.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UISelectItem

    public UISelectItem()

  Create a new `UISelectItem` instance with default property values.

Method Detail

### getFamily

    public java.lang.String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Specified by:
    `getFamily` in class `UIComponent`

### getItemDescription

    public java.lang.String getItemDescription()

  Return the description for this selection item.

### setItemDescription

    public void setItemDescription(java.lang.String itemDescription)

  Set the description for this selection item.

  Parameters:
    `itemDescription` - The new description

### isItemDisabled

    public boolean isItemDisabled()

  Return the disabled setting for this selection item.

### setItemDisabled

    public void setItemDisabled(boolean itemDisabled)

  Set the disabled value for this selection item.

  Parameters:
    `itemDisabled` - The new disabled flag

### isItemEscaped

    public boolean isItemEscaped()

  Return the escape setting for the label of this selection item.

### setItemEscaped

    public void setItemEscaped(boolean itemEscaped)

  Set the escape value for the label of this selection item.

  Parameters:
    `itemEscaped` - The new disabled flag

### getItemLabel

    public java.lang.String getItemLabel()

  Return the localized label for this selection item.

### setItemLabel

    public void setItemLabel(java.lang.String itemLabel)

  Set the localized label for this selection item.

  Parameters:
    `itemLabel` - The new localized label

### getItemValue

    public java.lang.Object getItemValue()

  Return the server value for this selection item.

### setItemValue

    public void setItemValue(java.lang.Object itemValue)

  Set the server value for this selection item.

  Parameters:
    `itemValue` - The new server value

### getValue

    public java.lang.Object getValue()

  Returns the `value` property of the `UISelectItem`.

### setValue

    public void setValue(java.lang.Object value)

  Sets the `value` property of the `UISelectItem`.

  Parameters:
    `value` - the new value

### isNoSelectionOption

    public boolean isNoSelectionOption()

  Return the value of the `noSelectionOption` property. If the value of this property is `true`, the system interprets the option represented by this `UISelectItem` instance as representing a "no selection" option. See `UISelectOne.validateValue(javax.faces.context.FacesContext, java.lang.Object)` and `UISelectMany.validateValue(javax.faces.context.FacesContext, java.lang.Object)` for usage.

  Since:
    2.0

### setNoSelectionOption

    public void setNoSelectionOption(boolean noSelectionOption)

  Set the value of the `noSelectionOption` property.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.